Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

## Class OriginalTransactionReference28

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_10.OriginalTransactionReference28

    public class OriginalTransactionReference28
    extends java.lang.Object

Java class for OriginalTransactionReference28 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalTransactionReference28">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="IntrBkSttlmAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}AmountType4Choice" minOccurs="0"/>
             <element name="IntrBkSttlmDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}ISODate" minOccurs="0"/>
             <element name="ReqdColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}ISODate" minOccurs="0"/>
             <element name="ReqdExctnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}DateAndDateTime2Choice" minOccurs="0"/>
             <element name="CdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}PartyIdentification135" minOccurs="0"/>
             <element name="SttlmInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}SettlementInstruction7" minOccurs="0"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}PaymentTypeInformation27" minOccurs="0"/>
             <element name="PmtMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}PaymentMethod4Code" minOccurs="0"/>
             <element name="MndtRltdInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}MandateRelatedInformation14" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}RemittanceInformation16" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}Party40Choice" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}Party40Choice" minOccurs="0"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}CashAccount38" minOccurs="0"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="DbtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}CashAccount38" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="CdtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}CashAccount38" minOccurs="0"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}Party40Choice" minOccurs="0"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}CashAccount38" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}Party40Choice" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}Purpose2Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected AmountType4Choice` `amt`
`protected Party40Choice` `cdtr`
`protected CashAccount38` `cdtrAcct`
`protected BranchAndFinancialInstitutionIdentification6` `cdtrAgt`
`protected CashAccount38` `cdtrAgtAcct`
`protected PartyIdentification135` `cdtrSchmeId`
`protected Party40Choice` `dbtr`
`protected CashAccount38` `dbtrAcct`
`protected BranchAndFinancialInstitutionIdentification6` `dbtrAgt`
`protected CashAccount38` `dbtrAgtAcct`
`protected ActiveOrHistoricCurrencyAndAmount` `intrBkSttlmAmt`
`protected javax.xml.datatype.XMLGregorianCalendar` `intrBkSttlmDt`
`protected MandateRelatedInformation14` `mndtRltdInf`
`protected PaymentMethod4Code` `pmtMtd`
`protected PaymentTypeInformation27` `pmtTpInf`
`protected Purpose2Choice` `purp`
`protected javax.xml.datatype.XMLGregorianCalendar` `reqdColltnDt`
`protected DateAndDateTime2Choice` `reqdExctnDt`
`protected RemittanceInformation16` `rmtInf`
`protected SettlementInstruction7` `sttlmInf`
`protected Party40Choice` `ultmtCdtr`
`protected Party40Choice` `ultmtDbtr`

### Constructor Summary

Constructors
`OriginalTransactionReference28()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AmountType4Choice` `getAmt()` Gets the value of the amt property.
`Party40Choice` `getCdtr()` Gets the value of the cdtr property.
`CashAccount38` `getCdtrAcct()` Gets the value of the cdtrAcct property.
`BranchAndFinancialInstitutionIdentification6` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`CashAccount38` `getCdtrAgtAcct()` Gets the value of the cdtrAgtAcct property.
`PartyIdentification135` `getCdtrSchmeId()` Gets the value of the cdtrSchmeId property.
`Party40Choice` `getDbtr()` Gets the value of the dbtr property.
`CashAccount38` `getDbtrAcct()` Gets the value of the dbtrAcct property.
`BranchAndFinancialInstitutionIdentification6` `getDbtrAgt()` Gets the value of the dbtrAgt property.
`CashAccount38` `getDbtrAgtAcct()` Gets the value of the dbtrAgtAcct property.
`ActiveOrHistoricCurrencyAndAmount` `getIntrBkSttlmAmt()` Gets the value of the intrBkSttlmAmt property.
`javax.xml.datatype.XMLGregorianCalendar` `getIntrBkSttlmDt()` Gets the value of the intrBkSttlmDt property.
`MandateRelatedInformation14` `getMndtRltdInf()` Gets the value of the mndtRltdInf property.
`PaymentMethod4Code` `getPmtMtd()` Gets the value of the pmtMtd property.
`PaymentTypeInformation27` `getPmtTpInf()` Gets the value of the pmtTpInf property.
`Purpose2Choice` `getPurp()` Gets the value of the purp property.
`javax.xml.datatype.XMLGregorianCalendar` `getReqdColltnDt()` Gets the value of the reqdColltnDt property.
`DateAndDateTime2Choice` `getReqdExctnDt()` Gets the value of the reqdExctnDt property.
`RemittanceInformation16` `getRmtInf()` Gets the value of the rmtInf property.
`SettlementInstruction7` `getSttlmInf()` Gets the value of the sttlmInf property.
`Party40Choice` `getUltmtCdtr()` Gets the value of the ultmtCdtr property.
`Party40Choice` `getUltmtDbtr()` Gets the value of the ultmtDbtr property.
`void` `setAmt​(AmountType4Choice value)` Sets the value of the amt property.
`void` `setCdtr​(Party40Choice value)` Sets the value of the cdtr property.
`void` `setCdtrAcct​(CashAccount38 value)` Sets the value of the cdtrAcct property.
`void` `setCdtrAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the cdtrAgt property.
`void` `setCdtrAgtAcct​(CashAccount38 value)` Sets the value of the cdtrAgtAcct property.
`void` `setCdtrSchmeId​(PartyIdentification135 value)` Sets the value of the cdtrSchmeId property.
`void` `setDbtr​(Party40Choice value)` Sets the value of the dbtr property.
`void` `setDbtrAcct​(CashAccount38 value)` Sets the value of the dbtrAcct property.
`void` `setDbtrAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the dbtrAgt property.
`void` `setDbtrAgtAcct​(CashAccount38 value)` Sets the value of the dbtrAgtAcct property.
`void` `setIntrBkSttlmAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the intrBkSttlmAmt property.
`void` `setIntrBkSttlmDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the intrBkSttlmDt property.
`void` `setMndtRltdInf​(MandateRelatedInformation14 value)` Sets the value of the mndtRltdInf property.
`void` `setPmtMtd​(PaymentMethod4Code value)` Sets the value of the pmtMtd property.
`void` `setPmtTpInf​(PaymentTypeInformation27 value)` Sets the value of the pmtTpInf property.
`void` `setPurp​(Purpose2Choice value)` Sets the value of the purp property.
`void` `setReqdColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the reqdColltnDt property.
`void` `setReqdExctnDt​(DateAndDateTime2Choice value)` Sets the value of the reqdExctnDt property.
`void` `setRmtInf​(RemittanceInformation16 value)` Sets the value of the rmtInf property.
`void` `setSttlmInf​(SettlementInstruction7 value)` Sets the value of the sttlmInf property.
`void` `setUltmtCdtr​(Party40Choice value)` Sets the value of the ultmtCdtr property.
`void` `setUltmtDbtr​(Party40Choice value)` Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### intrBkSttlmAmt

    protected ActiveOrHistoricCurrencyAndAmount intrBkSttlmAmt

#### amt

    protected AmountType4Choice amt

#### intrBkSttlmDt

    protected javax.xml.datatype.XMLGregorianCalendar intrBkSttlmDt

#### reqdColltnDt

    protected javax.xml.datatype.XMLGregorianCalendar reqdColltnDt

#### reqdExctnDt

    protected DateAndDateTime2Choice reqdExctnDt

#### cdtrSchmeId

    protected PartyIdentification135 cdtrSchmeId

#### sttlmInf

    protected SettlementInstruction7 sttlmInf

#### pmtTpInf

    protected PaymentTypeInformation27 pmtTpInf

#### pmtMtd

    protected PaymentMethod4Code pmtMtd

#### mndtRltdInf

    protected MandateRelatedInformation14 mndtRltdInf

#### rmtInf

    protected RemittanceInformation16 rmtInf

#### ultmtDbtr

    protected Party40Choice ultmtDbtr

#### dbtr

    protected Party40Choice dbtr

#### dbtrAcct

    protected CashAccount38 dbtrAcct

#### dbtrAgt

    protected BranchAndFinancialInstitutionIdentification6 dbtrAgt

#### dbtrAgtAcct

    protected CashAccount38 dbtrAgtAcct

#### cdtrAgt

    protected BranchAndFinancialInstitutionIdentification6 cdtrAgt

#### cdtrAgtAcct

    protected CashAccount38 cdtrAgtAcct

#### cdtr

    protected Party40Choice cdtr

#### cdtrAcct

    protected CashAccount38 cdtrAcct

#### ultmtCdtr

    protected Party40Choice ultmtCdtr

#### purp

    protected Purpose2Choice purp

### Constructor Detail

#### OriginalTransactionReference28

    public OriginalTransactionReference28()

### Method Detail

#### getIntrBkSttlmAmt

    public ActiveOrHistoricCurrencyAndAmount getIntrBkSttlmAmt()

Gets the value of the intrBkSttlmAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setIntrBkSttlmAmt

    public void setIntrBkSttlmAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the intrBkSttlmAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getAmt

    public AmountType4Choice getAmt()

Gets the value of the amt property.

Returns:
  possible object is `AmountType4Choice`

#### setAmt

    public void setAmt​(AmountType4Choice value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `AmountType4Choice`

#### getIntrBkSttlmDt

    public javax.xml.datatype.XMLGregorianCalendar getIntrBkSttlmDt()

Gets the value of the intrBkSttlmDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setIntrBkSttlmDt

    public void setIntrBkSttlmDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the intrBkSttlmDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getReqdColltnDt

    public javax.xml.datatype.XMLGregorianCalendar getReqdColltnDt()

Gets the value of the reqdColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setReqdColltnDt

    public void setReqdColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the reqdColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getReqdExctnDt

    public DateAndDateTime2Choice getReqdExctnDt()

Gets the value of the reqdExctnDt property.

Returns:
  possible object is `DateAndDateTime2Choice`

#### setReqdExctnDt

    public void setReqdExctnDt​(DateAndDateTime2Choice value)

Sets the value of the reqdExctnDt property.

Parameters:
  `value` - allowed object is `DateAndDateTime2Choice`

#### getCdtrSchmeId

    public PartyIdentification135 getCdtrSchmeId()

Gets the value of the cdtrSchmeId property.

Returns:
  possible object is `PartyIdentification135`

#### setCdtrSchmeId

    public void setCdtrSchmeId​(PartyIdentification135 value)

Sets the value of the cdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getSttlmInf

    public SettlementInstruction7 getSttlmInf()

Gets the value of the sttlmInf property.

Returns:
  possible object is `SettlementInstruction7`

#### setSttlmInf

    public void setSttlmInf​(SettlementInstruction7 value)

Sets the value of the sttlmInf property.

Parameters:
  `value` - allowed object is `SettlementInstruction7`

#### getPmtTpInf

    public PaymentTypeInformation27 getPmtTpInf()

Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformation27`

#### setPmtTpInf

    public void setPmtTpInf​(PaymentTypeInformation27 value)

Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformation27`

#### getPmtMtd

    public PaymentMethod4Code getPmtMtd()

Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethod4Code`

#### setPmtMtd

    public void setPmtMtd​(PaymentMethod4Code value)

Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethod4Code`

#### getMndtRltdInf

    public MandateRelatedInformation14 getMndtRltdInf()

Gets the value of the mndtRltdInf property.

Returns:
  possible object is `MandateRelatedInformation14`

#### setMndtRltdInf

    public void setMndtRltdInf​(MandateRelatedInformation14 value)

Sets the value of the mndtRltdInf property.

Parameters:
  `value` - allowed object is `MandateRelatedInformation14`

#### getRmtInf

    public RemittanceInformation16 getRmtInf()

Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation16`

#### setRmtInf

    public void setRmtInf​(RemittanceInformation16 value)

Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation16`

#### getUltmtDbtr

    public Party40Choice getUltmtDbtr()

Gets the value of the ultmtDbtr property.

Returns:
  possible object is `Party40Choice`

#### setUltmtDbtr

    public void setUltmtDbtr​(Party40Choice value)

Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

#### getDbtr

    public Party40Choice getDbtr()

Gets the value of the dbtr property.

Returns:
  possible object is `Party40Choice`

#### setDbtr

    public void setDbtr​(Party40Choice value)

Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

#### getDbtrAcct

    public CashAccount38 getDbtrAcct()

Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount38`

#### setDbtrAcct

    public void setDbtrAcct​(CashAccount38 value)

Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getDbtrAgt

    public BranchAndFinancialInstitutionIdentification6 getDbtrAgt()

Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setDbtrAgt

    public void setDbtrAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getDbtrAgtAcct

    public CashAccount38 getDbtrAgtAcct()

Gets the value of the dbtrAgtAcct property.

Returns:
  possible object is `CashAccount38`

#### setDbtrAgtAcct

    public void setDbtrAgtAcct​(CashAccount38 value)

Sets the value of the dbtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getCdtrAgt

    public BranchAndFinancialInstitutionIdentification6 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setCdtrAgt

    public void setCdtrAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getCdtrAgtAcct

    public CashAccount38 getCdtrAgtAcct()

Gets the value of the cdtrAgtAcct property.

Returns:
  possible object is `CashAccount38`

#### setCdtrAgtAcct

    public void setCdtrAgtAcct​(CashAccount38 value)

Sets the value of the cdtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getCdtr

    public Party40Choice getCdtr()

Gets the value of the cdtr property.

Returns:
  possible object is `Party40Choice`

#### setCdtr

    public void setCdtr​(Party40Choice value)

Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

#### getCdtrAcct

    public CashAccount38 getCdtrAcct()

Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount38`

#### setCdtrAcct

    public void setCdtrAcct​(CashAccount38 value)

Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getUltmtCdtr

    public Party40Choice getUltmtCdtr()

Gets the value of the ultmtCdtr property.

Returns:
  possible object is `Party40Choice`

#### setUltmtCdtr

    public void setUltmtCdtr​(Party40Choice value)

Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

#### getPurp

    public Purpose2Choice getPurp()

Gets the value of the purp property.

Returns:
  possible object is `Purpose2Choice`

#### setPurp

    public void setPurp​(Purpose2Choice value)

Sets the value of the purp property.

Parameters:
  `value` - allowed object is `Purpose2Choice`